part of 'fragment_container.dart';

abstract class FragmentManager {
  FragmentContainer get container;

  FragmentStack get currentFragment;

  LiveData<bool> get canGoBack;

  LiveData<bool> get canGoForward;

  void navigateTo<T extends Fragment>({ScrollDirection direction = ScrollDirection.idle, dynamic args});

  void navigateToKey(FragmentKey key, {ScrollDirection direction = ScrollDirection.idle, dynamic args});

  bool back({ScrollDirection direction = ScrollDirection.reverse});

  bool forward({ScrollDirection direction = ScrollDirection.forward});
}
